/*
 * SPDX-FileCopyrightText: Copyright 2021-2024 xiota
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#pragma once

#include <filesystem>
#include <iostream>
#include <locale>

#include "Scintilla.h"
#include "config.h"
#include "geanyplugin.h"
#include "pv_settings.hxx"
#include "webkit2/webkit2.h"

extern GeanyPlugin * geany_plugin;
extern GeanyData * geany_data;

enum PreviewFileType {
  PREVIEW_FILETYPE_NONE,
  PREVIEW_FILETYPE_ASCIIDOC,
  PREVIEW_FILETYPE_DOCBOOK,
  PREVIEW_FILETYPE_DOKUWIKI,
  PREVIEW_FILETYPE_EMAIL,
  PREVIEW_FILETYPE_FOUNTAIN,
  PREVIEW_FILETYPE_GFM,
  PREVIEW_FILETYPE_HTML,
  PREVIEW_FILETYPE_LATEX,
  PREVIEW_FILETYPE_MARKDOWN,
  PREVIEW_FILETYPE_MEDIAWIKI,
  PREVIEW_FILETYPE_MUSE,
  PREVIEW_FILETYPE_ORG,
  PREVIEW_FILETYPE_PLAIN,
  PREVIEW_FILETYPE_REST,
  PREVIEW_FILETYPE_TEXTILE,
  PREVIEW_FILETYPE_TIKIWIKI,
  PREVIEW_FILETYPE_TWIKI,
  PREVIEW_FILETYPE_TXT2TAGS,
  PREVIEW_FILETYPE_VIMWIKI,
  PREVIEW_FILETYPE_WIKI,

  PREVIEW_FILETYPE_COUNT
};

enum PreviewShortcuts {
  PREVIEW_KEY_TOGGLE_EDITOR,
  PREVIEW_KEY_EXPORT_HTML,

#if ENABLE_EXPORT_PDF
  PREVIEW_KEY_EXPORT_PDF,
#endif  // ENABLE_EXPORT_PDF

  PREVIEW_KEY_COUNT,
};
